'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var validationMessage = require('../../validation-message/validation-message.js');

const ComboboxError = ({ size, error, formFieldProps }) => {
    return (jsxRuntime.jsx("div", { className: 'ds-combobox__error-message', id: formFieldProps.errorId, "aria-live": 'polite', "aria-relevant": 'additions removals', children: error && jsxRuntime.jsx(validationMessage.ValidationMessage, { "data-size": size, children: error }) }));
};
ComboboxError.displayName = 'ComboboxError';

module.exports = ComboboxError;
