'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var akselIcons = require('@navikt/aksel-icons');
var cl = require('clsx/lite');
var label = require('../../label/label.js');
var paragraph = require('../../paragraph/paragraph.js');

const ComboboxLabel = ({ label: label$1, description, hideLabel, size, readOnly, formFieldProps, }) => {
    return (jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [label$1 && (jsxRuntime.jsxs(label.Label, { "data-size": size, htmlFor: formFieldProps.inputProps.id, className: cl('ds-combobox__label', hideLabel && `ds-sr-only`), children: [readOnly && (jsxRuntime.jsx(akselIcons.PadlockLockedFillIcon, { "aria-hidden": true, className: 'ds-combobox__readonly__icon' })), label$1] })), description && (jsxRuntime.jsx(paragraph.Paragraph, { asChild: true, "data-size": size, children: jsxRuntime.jsx("div", { id: formFieldProps.descriptionId, className: cl('ds-combobox__description', hideLabel && `ds-sr-only`), children: description }) }))] }));
};
ComboboxLabel.displayName = 'ComboboxLabel';

module.exports = ComboboxLabel;
