'use client';
'use strict';

var chips = require('./chips.js');

const ChipComponent = {
    Button: chips.ChipButton,
    Checkbox: chips.ChipCheckbox,
    Radio: chips.ChipRadio,
    Removable: chips.ChipRemovable,
};
ChipComponent.Button.displayName = 'Chip.Button';
ChipComponent.Checkbox.displayName = 'Chip.Checkbox';
ChipComponent.Radio.displayName = 'Chip.Radio';
ChipComponent.Removable.displayName = 'Chip.Removable';

exports.ChipButton = chips.ChipButton;
exports.ChipCheckbox = chips.ChipCheckbox;
exports.ChipRadio = chips.ChipRadio;
exports.ChipRemovable = chips.ChipRemovable;
exports.Chip = ChipComponent;
