'use client';
'use strict';

var listItem = require('./list-item.js');
var lists = require('./lists.js');

const ListComponent = {
    Item: listItem.ListItem,
    Ordered: lists.ListOrdered,
    Unordered: lists.ListUnordered,
};
ListComponent.Item.displayName = 'List.Item';
ListComponent.Ordered.displayName = 'List.Ordered';
ListComponent.Unordered.displayName = 'List.Unordered';

exports.ListItem = listItem.ListItem;
exports.ListOrdered = lists.ListOrdered;
exports.ListUnordered = lists.ListUnordered;
exports.List = ListComponent;
