import type { Dispatch, ReactNode } from 'react';
type ComboboxIdContextType = {
    activeIndex: number;
};
export declare const ComboboxIdContext: React.Context<ComboboxIdContextType>;
type SetActiveIndexAction = {
    type: 'SET_ACTIVE_INDEX';
    payload: number;
};
type ComboboxIdReducerAction = SetActiveIndexAction;
export declare const ComboboxIdReducer: (state: ComboboxIdContextType, action: ComboboxIdReducerAction) => ComboboxIdContextType;
export declare const ComboboxIdDispatch: React.Context<Dispatch<SetActiveIndexAction>>;
export declare const ComboboxIdProvider: ({ children }: {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare function useComboboxIdDispatch(): Dispatch<SetActiveIndexAction>;
export declare function useComboboxId(): ComboboxIdContextType;
export {};
//# sourceMappingURL=ComboboxIdContext.d.ts.map