import type { UseFloatingReturn } from '@floating-ui/react';
import { useInteractions } from '@floating-ui/react';
import type { RefObject } from 'react';
type UseFloatingComboboxProps = {
    listRef: RefObject<(HTMLElement | null)[]>;
};
export declare const useFloatingCombobox: ({ listRef, }: UseFloatingComboboxProps) => {
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
    activeIndex: number | null;
    refs: UseFloatingReturn<HTMLInputElement>["refs"];
    floatingStyles: UseFloatingReturn<HTMLInputElement>["floatingStyles"];
    context: UseFloatingReturn<HTMLInputElement>["context"];
    getReferenceProps: ReturnType<typeof useInteractions>["getReferenceProps"];
    getFloatingProps: ReturnType<typeof useInteractions>["getFloatingProps"];
    getItemProps: ReturnType<typeof useInteractions>["getItemProps"];
};
export {};
//# sourceMappingURL=useFloatingCombobox.d.ts.map