import type { HTMLAttributes } from 'react';
export type DetailsContentProps = HTMLAttributes<HTMLDivElement>;
/**
 * Details content component, contains the content of the details item.
 *
 * @example
 * <DetailsContent>Content</DetailsContent>
 */
export declare const DetailsContent: React.ForwardRefExoticComponent<DetailsContentProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=details-content.d.ts.map