import type { HTMLAttributes } from 'react';
export type DividerProps = HTMLAttributes<HTMLHRElement>;
/**
 * Divider component, used to separate content. Uses `hr` element.
 *
 * @example
 * <Divider />
 */
export declare const Divider: React.ForwardRefExoticComponent<DividerProps & React.RefAttributes<HTMLHRElement>>;
//# sourceMappingURL=divider.d.ts.map