import { type ListItemProps } from '../list';
export type ErrorSummaryItemProps = ListItemProps;
/**
 * ErrorSummaryItem component, used to display an error link in the ErrorSummary.
 *
 * @example
 * <ErrorSummaryItem>
 *  <ErrorSummaryLink href="#">
 *    Link to error
 *  </ErrorSummaryLink>
 * </ErrorSummaryItem>
 */
export declare const ErrorSummaryItem: React.ForwardRefExoticComponent<{
    asChild?: boolean;
} & React.LiHTMLAttributes<HTMLLIElement> & React.RefAttributes<HTMLLIElement>>;
//# sourceMappingURL=error-summary-item.d.ts.map