import type { HTMLAttributes } from 'react';
export type FieldDescriptionProps = HTMLAttributes<HTMLDivElement>;
/**
 * Field description component, used to provide additional information below the input.
 *
 * @example
 * <FieldDescription>Additional information</FieldDescription>
 */
export declare const FieldDescription: React.ForwardRefExoticComponent<FieldDescriptionProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=field-description.d.ts.map