import type { DefaultProps } from '../../types';
export type SearchInputProps = DefaultProps & Omit<React.InputHTMLAttributes<HTMLInputElement>, 'readOnly' | 'type'>;
/**
 * SearchInput component, used to display a search input within the Search component.
 *
 * @example
 * <Search>
 *   <SearchInput aria-label='Søk' />
 * </Search>
 */
export declare const SearchInput: React.ForwardRefExoticComponent<DefaultProps & Omit<React.InputHTMLAttributes<HTMLInputElement>, "type" | "readOnly"> & React.RefAttributes<HTMLInputElement>>;
//# sourceMappingURL=search-input.d.ts.map