import { type TdHTMLAttributes } from 'react';
export type TableCellProps = TdHTMLAttributes<HTMLTableCellElement>;
/**
 * TableCell component, used to display the cells of a table. Renders a native HTML td element.
 *
 * @example
 * <TableCell>John</TableCell>
 */
export declare const TableCell: React.ForwardRefExoticComponent<TableCellProps & React.RefAttributes<HTMLTableCellElement>>;
//# sourceMappingURL=table-cell.d.ts.map