import type { HTMLAttributes } from 'react';
export type TabsListProps = HTMLAttributes<HTMLDivElement>;
/**
 * The container for all `Tab` components.
 *
 * @example
 * <TabsList>
 *  <TabsTab value='1'>Tab 1</TabsTab>
 *  <TabsTab value='2'>Tab 2</TabsTab>
 * </TabsList>
 */
export declare const TabsList: React.ForwardRefExoticComponent<TabsListProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=tabs-list.d.ts.map