'use client';
'use strict';

var badge = require('./badge.js');
var badgePosition = require('./badge-position.js');

/**
 * `Badge` is a non-interactive component for displaying status with or without numbers.
 *
 * @example without children
 * <Badge count={5} maxCount={10} />
 */
const Badge = Object.assign(badge.Badge, { Position: badgePosition.BadgePosition });
Badge.Position.displayName = 'Badge.Position';

exports.BadgePosition = badgePosition.BadgePosition;
exports.Badge = Badge;
