'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * Field description component, used to provide additional information below the input.
 *
 * @example
 * <FieldDescription>Additional information</FieldDescription>
 */
const FieldDescription = react.forwardRef(function FieldDescription(rest, ref) {
    return jsxRuntime.jsx("div", { "data-field": 'description', ref: ref, ...rest });
});

exports.FieldDescription = FieldDescription;
