'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

/**
 * TableCell component, used to display the cells of a table. Renders a native HTML td element.
 *
 * @example
 * <TableCell>John</TableCell>
 */
const TableCell = react.forwardRef(function TableCell(rest, ref) {
    return jsxRuntime.jsx("td", { ref: ref, ...rest });
});

exports.TableCell = TableCell;
