import type { HTMLAttributes, ReactNode } from 'react';
export type DetailsSummaryProps = {
    /** Heading text */
    children: ReactNode;
} & HTMLAttributes<HTMLElement>;
/**
 * Details summary component, contains a the heading to toggle the content.
 *
 * @example
 * <Details.Summary>Heading</Details.Summary>
 */
export declare const DetailsSummary: React.ForwardRefExoticComponent<{
    /** Heading text */
    children: ReactNode;
} & HTMLAttributes<HTMLElement> & React.RefAttributes<HTMLElement>>;
//# sourceMappingURL=details-summary.d.ts.map