import { type HTMLAttributes } from 'react';
import type { DefaultProps } from '../../types';
export type FieldsetLegendProps = HTMLAttributes<HTMLLegendElement> & DefaultProps;
/**
 * FieldsetLegend component, used to display a legend for a fieldset.
 *
 * @example
 * <FieldsetLegend>Skriv inn dine svar</FieldsetLegend>
 */
export declare const FieldsetLegend: React.ForwardRefExoticComponent<HTMLAttributes<HTMLLegendElement> & DefaultProps & React.RefAttributes<HTMLLegendElement>>;
//# sourceMappingURL=fieldset-legend.d.ts.map