import { type HTMLAttributes } from 'react';
export type TableRowProps = HTMLAttributes<HTMLTableRowElement>;
/**
 * TableRow component, used to display the rows of a table. Renders a native HTML tr element.
 *
 * @example
 * <TableRow>
 *   <TableCell>John</TableCell>
 *   <TableCell>25</TableCell>
 * </TableRow>
 */
export declare const TableRow: React.ForwardRefExoticComponent<TableRowProps & React.RefAttributes<HTMLTableRowElement>>;
//# sourceMappingURL=table-row.d.ts.map