import type { TextareaHTMLAttributes } from 'react';
import type { DefaultProps } from '../../types';
export type TextareaProps = TextareaHTMLAttributes<HTMLTextAreaElement> & Omit<DefaultProps, 'data-color'>;
/**
 * Native HTML textarea element.
 *
 * @example
 * <Textarea />
 */
export declare const Textarea: React.ForwardRefExoticComponent<TextareaHTMLAttributes<HTMLTextAreaElement> & Omit<DefaultProps, "data-color"> & React.RefAttributes<HTMLTextAreaElement>>;
//# sourceMappingURL=textarea.d.ts.map