import type { ButtonProps } from '../button/button';
import type { ToggleGroupItemProps } from './toggle-group-item';
type UseToggleGroupItem = (props: ToggleGroupItemProps) => {
    active: boolean;
    value: string;
    buttonProps?: Pick<ButtonProps, 'id' | 'onClick' | 'role' | 'aria-checked' | 'aria-current' | 'name'>;
};
/** Handles props for `ToggleGroup.Item` in context with `ToggleGroup` and `RovingFocus` */
export declare const useToggleGroupItem: UseToggleGroupItem;
export {};
//# sourceMappingURL=use-toggle-groupitem.d.ts.map